Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class AnnotationIntrospector

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationIntrospector

    public class AnnotationIntrospector

extends java.lang.Object

AnnotationIntrospector

Nested Class Summary
`static class` | `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler` AbstractIntrospectableAnnotationHandler Base class for handlers that introspect a class to find a particular annotation.
`static interface` | `AnnotationIntrospector.IntrospectableAnnotationHandler` IntrospectableAnnotationHandler Interface for all handlers that wish to introspect a class to find a particular annotation

Field Summary
`protected java.util.List<AnnotationIntrospector.IntrospectableAnnotationHandler>` | `_handlers`

Constructor Summary
`AnnotationIntrospector()`

Method Summary
`void` | `introspect(java.lang.Class clazz)`
`void` | `registerHandler(AnnotationIntrospector.IntrospectableAnnotationHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _handlers

    protected java.util.List<AnnotationIntrospector.IntrospectableAnnotationHandler> _handlers

Constructor Detail

### AnnotationIntrospector

    public AnnotationIntrospector()

Method Detail

### registerHandler

    public void registerHandler(AnnotationIntrospector.IntrospectableAnnotationHandler handler)

### introspect

    public void introspect(java.lang.Class clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.